Bug 1280348 - Tracking Bug: Make clufter reflect new additions wrt. corosync's external quorum device
Tracking Bug: Make clufter reflect new additions wrt. corosync's external quo...
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: clufter (Show other bugs)
7.0
All Linux
low Severity low
: rc
: 7.1
Assigned To: Jan Pokorný
cluster-qe@redhat.com
: FutureFeature, Tracking
Depends On: 1389209 1413573 1507087 614122
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-11 09:26 EST by Jan Pokorný
Modified: 2017-11-07 12:41 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 614122
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pokorný 2015-11-11 09:26:23 EST
We will see if there is something we can do to accommodate qdisk users
in the old cluster stack in the conversion process to the new one if
it already contains quorum device discussed in the referred bug:

+++ This bug was initially created as a clone of Bug #614122 +++
Comment 2 Jan Friesse 2016-06-17 05:39:16 EDT
Because qdevice (at least net model) is completely different from old cman qdisk I can see only two "convertible" sections:

- logging. Subsystem name is QDEVICE. Supported options are to_stderr, to_syslog, syslog_facility, syslog_priority, logfile_priority, debug, fileline, timestamp and function_name. to_logfile and logfile are not supported
- number of qdevice votes. stored in quorum.device.votes key

I would suggest to ether let this BZ open till we get disk model which in theory may be more "compatible" with old qdisk so more options may be "convertible" or we can open new one for 7.4.
Comment 4 Jan Pokorný 2016-06-17 11:37:58 EDT
Honzo, if I understand [comment 2] correctly, the two mentioned sections
are global (regardless of model) and are relatively stable.
Can you confirm, please?
Comment 5 Jan Friesse 2016-06-20 03:29:01 EDT
Yes. These two sections are model independent and stable at least in RHEL 7.
Comment 6 Jan Pokorný 2016-09-22 08:18:44 EDT
As a matter of following the overall progress, clufter is currently
able to emit pcs commands based on corosync.conf to configure
qdevice/qnet:
0.58: http://oss.clusterlabs.org/pipermail/users/2016-July/003513.html
(refined in 0.59:
http://oss.clusterlabs.org/pipermail/users/2016-July/003594.html)

I am pushing this bug to 7.4 to keep tabs on the further progress.
If there is eventually a "disk" model, also some advanced conversions
might be feasible.
Comment 7 Jan Pokorný 2017-05-30 11:39:56 EDT
Likewise, pushing further to 7.5.
Comment 9 Jan Pokorný 2017-11-07 10:56:39 EST
Capacity asks for postponing for 7.6 consideration.
Comment 10 Jan Pokorný 2017-11-07 12:41:15 EST
Actually what's new for 7.5, heuristics (see recently added Depends On
bugs), will get addressed as a matter of rebase [bug 1509381], this bug
then remains a sliding tracker of the progress in other components clufter
should respond to, till the corosync quorum device support gets settled
(expected after "disk" model is present?).

Note You need to log in before you can comment on or make changes to this bug.